Skip to main content
`Ctrl`+`K`

# PetscDASetSizes

Sets the state and observation sizes for a `PetscDA`

## Synopsis

    PetscErrorCode PetscDASetSizes(PetscDA da, PetscInt state_size, PetscInt obs_size)

Collective

## Input Parameters

- da - the `PetscDA` context

- state_size - number of state components

- obs_size - number of observation components

## Developer Note

It is not clear this is a good API, shouldn’t one provide template vectors for these?

## See Also

PetscDA: Data Assimilation, `PetscDAGetSizes()`, `PetscDASetUp()`, `PetscDAEnsembleSetSize()`

## Level

beginner

## Location

src/ml/da/interface/petscda.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages